Package org.opencv.xfeatures2d

## Class PCTSignaturesSQFD

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.xfeatures2d.PCTSignaturesSQFD

-     public class PCTSignaturesSQFD
      extends Algorithm

  Class implementing Signature Quadratic Form Distance (SQFD). SEE: Christian Beecks, Merih Seran Uysal, Thomas Seidl. Signature quadratic form distance. In Proceedings of the ACM International Conference on Image and Video Retrieval, pages 438-445. ACM, 2010. CITE: BeecksUS10

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `PCTSignaturesSQFD​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PCTSignaturesSQFD` | `__fromPtr__​(long addr)` |
    `float` | `computeQuadraticFormDistance​(Mat _signature0, Mat _signature1)` | Computes Signature Quadratic Form Distance of two signatures.
    `void` | `computeQuadraticFormDistances​(Mat sourceSignature, java.util.List<Mat> imageSignatures, MatOfFloat distances)` | Computes Signature Quadratic Form Distance between the reference signature and each of the other image signatures.
    `static PCTSignaturesSQFD` | `create()` | Creates the algorithm instance using selected distance function, similarity function and similarity function parameter.
    `static PCTSignaturesSQFD` | `create​(int distanceFunction)` | Creates the algorithm instance using selected distance function, similarity function and similarity function parameter.
    `static PCTSignaturesSQFD` | `create​(int distanceFunction, int similarityFunction)` | Creates the algorithm instance using selected distance function, similarity function and similarity function parameter.
    `static PCTSignaturesSQFD` | `create​(int distanceFunction, int similarityFunction, float similarityParameter)` | Creates the algorithm instance using selected distance function, similarity function and similarity function parameter.
    `protected void` | `finalize()` |

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PCTSignaturesSQFD

          protected PCTSignaturesSQFD​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static PCTSignaturesSQFD __fromPtr__​(long addr)

    - #### create

          public static PCTSignaturesSQFD create​(int distanceFunction,
                                                 int similarityFunction,
                                                 float similarityParameter)

      Creates the algorithm instance using selected distance function, similarity function and similarity function parameter.
      Parameters:
        `distanceFunction` - Distance function selector. Default: L2 Available: L0_25, L0_5, L1, L2, L2SQUARED, L5, L_INFINITY
        `similarityFunction` - Similarity function selector. Default: HEURISTIC Available: MINUS, GAUSSIAN, HEURISTIC
        `similarityParameter` - Parameter of the similarity function.
      Returns:
        automatically generated

    - #### create

          public static PCTSignaturesSQFD create​(int distanceFunction,
                                                 int similarityFunction)

      Creates the algorithm instance using selected distance function, similarity function and similarity function parameter.
      Parameters:
        `distanceFunction` - Distance function selector. Default: L2 Available: L0_25, L0_5, L1, L2, L2SQUARED, L5, L_INFINITY
        `similarityFunction` - Similarity function selector. Default: HEURISTIC Available: MINUS, GAUSSIAN, HEURISTIC
      Returns:
        automatically generated

    - #### create

          public static PCTSignaturesSQFD create​(int distanceFunction)

      Creates the algorithm instance using selected distance function, similarity function and similarity function parameter.
      Parameters:
        `distanceFunction` - Distance function selector. Default: L2 Available: L0_25, L0_5, L1, L2, L2SQUARED, L5, L_INFINITY Available: MINUS, GAUSSIAN, HEURISTIC
      Returns:
        automatically generated

    - #### create

          public static PCTSignaturesSQFD create()

      Creates the algorithm instance using selected distance function, similarity function and similarity function parameter. Available: L0_25, L0_5, L1, L2, L2SQUARED, L5, L_INFINITY Available: MINUS, GAUSSIAN, HEURISTIC
      Returns:
        automatically generated

    - #### computeQuadraticFormDistance

          public float computeQuadraticFormDistance​(Mat _signature0,
                                                    Mat _signature1)

      Computes Signature Quadratic Form Distance of two signatures.
      Parameters:
        `_signature0` - The first signature.
        `_signature1` - The second signature.
      Returns:
        automatically generated

    - #### computeQuadraticFormDistances

          public void computeQuadraticFormDistances​(Mat sourceSignature,
                                                    java.util.List<Mat> imageSignatures,
                                                    MatOfFloat distances)

      Computes Signature Quadratic Form Distance between the reference signature and each of the other image signatures.
      Parameters:
        `sourceSignature` - The signature to measure distance of other signatures from.
        `imageSignatures` - Vector of signatures to measure distance from the source signature.
        `distances` - Output vector of measured distances.

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`